Package com.omnisci.thrift.calciteserver

## Enum TExtArgumentType

- java.lang.Object
- - java.lang.Enum<TExtArgumentType>
  - - com.omnisci.thrift.calciteserver.TExtArgumentType

All Implemented Interfaces:
  `Serializable`, `Comparable<TExtArgumentType>`, `org.apache.thrift.TEnum`

    public enum TExtArgumentType
    extends Enum<TExtArgumentType>
    implements org.apache.thrift.TEnum

### Enum Constant Summary

Enum Constants
`ArrayBool`
`ArrayDouble`
`ArrayFloat`
`ArrayInt16`
`ArrayInt32`
`ArrayInt64`
`ArrayInt8`
`Bool`
`ColumnBool`
`ColumnDouble`
`ColumnFloat`
`ColumnInt16`
`ColumnInt32`
`ColumnInt64`
`ColumnInt8`
`ColumnListBool`
`ColumnListDouble`
`ColumnListFloat`
`ColumnListInt16`
`ColumnListInt32`
`ColumnListInt64`
`ColumnListInt8`
`ColumnListTextEncodingDict`
`ColumnTextEncodingDict`
`Cursor`
`Double`
`Float`
`GeoLineString`
`GeoMultiPolygon`
`GeoPoint`
`GeoPolygon`
`Int16`
`Int32`
`Int64`
`Int8`
`PBool`
`PDouble`
`PFloat`
`PInt16`
`PInt32`
`PInt64`
`PInt8`
`TextEncodingDict`
`TextEncodingNone`
`Void`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TExtArgumentType` `findByValue​(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static TExtArgumentType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TExtArgumentType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Int8

    public static final TExtArgumentType Int8

#### Int16

    public static final TExtArgumentType Int16

#### Int32

    public static final TExtArgumentType Int32

#### Int64

    public static final TExtArgumentType Int64

#### Float

    public static final TExtArgumentType Float

#### Double

    public static final TExtArgumentType Double

#### Void

    public static final TExtArgumentType Void

#### PInt8

    public static final TExtArgumentType PInt8

#### PInt16

    public static final TExtArgumentType PInt16

#### PInt32

    public static final TExtArgumentType PInt32

#### PInt64

    public static final TExtArgumentType PInt64

#### PFloat

    public static final TExtArgumentType PFloat

#### PDouble

    public static final TExtArgumentType PDouble

#### PBool

    public static final TExtArgumentType PBool

#### Bool

    public static final TExtArgumentType Bool

#### ArrayInt8

    public static final TExtArgumentType ArrayInt8

#### ArrayInt16

    public static final TExtArgumentType ArrayInt16

#### ArrayInt32

    public static final TExtArgumentType ArrayInt32

#### ArrayInt64

    public static final TExtArgumentType ArrayInt64

#### ArrayFloat

    public static final TExtArgumentType ArrayFloat

#### ArrayDouble

    public static final TExtArgumentType ArrayDouble

#### ArrayBool

    public static final TExtArgumentType ArrayBool

#### GeoPoint

    public static final TExtArgumentType GeoPoint

#### GeoLineString

    public static final TExtArgumentType GeoLineString

#### Cursor

    public static final TExtArgumentType Cursor

#### GeoPolygon

    public static final TExtArgumentType GeoPolygon

#### GeoMultiPolygon

    public static final TExtArgumentType GeoMultiPolygon

#### ColumnInt8

    public static final TExtArgumentType ColumnInt8

#### ColumnInt16

    public static final TExtArgumentType ColumnInt16

#### ColumnInt32

    public static final TExtArgumentType ColumnInt32

#### ColumnInt64

    public static final TExtArgumentType ColumnInt64

#### ColumnFloat

    public static final TExtArgumentType ColumnFloat

#### ColumnDouble

    public static final TExtArgumentType ColumnDouble

#### ColumnBool

    public static final TExtArgumentType ColumnBool

#### TextEncodingNone

    public static final TExtArgumentType TextEncodingNone

#### TextEncodingDict

    public static final TExtArgumentType TextEncodingDict

#### ColumnListInt8

    public static final TExtArgumentType ColumnListInt8

#### ColumnListInt16

    public static final TExtArgumentType ColumnListInt16

#### ColumnListInt32

    public static final TExtArgumentType ColumnListInt32

#### ColumnListInt64

    public static final TExtArgumentType ColumnListInt64

#### ColumnListFloat

    public static final TExtArgumentType ColumnListFloat

#### ColumnListDouble

    public static final TExtArgumentType ColumnListDouble

#### ColumnListBool

    public static final TExtArgumentType ColumnListBool

#### ColumnTextEncodingDict

    public static final TExtArgumentType ColumnTextEncodingDict

#### ColumnListTextEncodingDict

    public static final TExtArgumentType ColumnListTextEncodingDict

### Method Detail

#### values

    public static TExtArgumentType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TExtArgumentType c : TExtArgumentType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TExtArgumentType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

#### findByValue

    public static TExtArgumentType findByValue​(int value)

Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.